Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.collect
Class ForwardingNavigableSet.StandardDescendingSet

    java.lang.Object
      com.google.common.collect.ForwardingObject
          com.google.common.collect.ForwardingCollection<E>
              com.google.common.collect.ForwardingSet<E>
                  com.google.common.collect.ForwardingSortedSet<E>
                      com.google.common.collect.ForwardingNavigableSet<E>
                          com.google.common.collect.ForwardingNavigableSet.StandardDescendingSet

All Implemented Interfaces:
  Iterable<E>, Collection<E>, NavigableSet<E>, Set<E>, SortedSet<E>

Enclosing class:
  ForwardingNavigableSet<E>

    @Beta
    protected class ForwardingNavigableSet.StandardDescendingSet

extends ForwardingNavigableSet<E>

A sensible implementation of `NavigableSet.descendingSet()` in terms of the other methods of `NavigableSet`, notably including `NavigableSet.descendingIterator()`.

In many cases, you may wish to override `ForwardingNavigableSet.descendingSet()` to forward to this implementation or a subclass thereof.

Since:
  12.0

Nested Class Summary

Nested classes/interfaces inherited from class com.google.common.collect.ForwardingNavigableSet
`ForwardingNavigableSet.StandardDescendingSet`

Constructor Summary
`ForwardingNavigableSet.StandardDescendingSet()` Constructor for use by subclasses.

Method Summary
`E` | `ceiling(E e)`
`Comparator<? super E>` | `comparator()`
`protected NavigableSet<E>` | `delegate()` Returns the backing delegate instance that methods are forwarded to.
`Iterator<E>` | `descendingIterator()`
`NavigableSet<E>` | `descendingSet()`
`E` | `first()`
`E` | `floor(E e)`
`SortedSet<E>` | `headSet(E toElement)`
`NavigableSet<E>` | `headSet(E toElement, boolean inclusive)`
`E` | `higher(E e)`
`Iterator<E>` | `iterator()`
`E` | `last()`
`E` | `lower(E e)`
`E` | `pollFirst()`
`E` | `pollLast()`
`NavigableSet<E>` | `subSet(E fromElement, boolean fromInclusive, E toElement, boolean toInclusive)`
`SortedSet<E>` | `subSet(E fromElement, E toElement)`
`SortedSet<E>` | `tailSet(E fromElement)`
`NavigableSet<E>` | `tailSet(E fromElement, boolean inclusive)`
`Object[]` | `toArray()`
`
`<T> T[]`
` | `toArray(T[] array)`
`String` | `toString()` Returns the string representation generated by the delegate's `toString` method.

Methods inherited from class com.google.common.collect.ForwardingNavigableSet
`standardCeiling, standardFirst, standardFloor, standardHeadSet, standardHigher, standardLast, standardLower, standardPollFirst, standardPollLast, standardSubSet, standardSubSet, standardTailSet`

Methods inherited from class com.google.common.collect.ForwardingSortedSet
`standardContains, standardRemove`

Methods inherited from class com.google.common.collect.ForwardingSet
`equals, hashCode, standardEquals, standardHashCode, standardRemoveAll`

Methods inherited from class com.google.common.collect.ForwardingCollection
`add, addAll, clear, contains, containsAll, isEmpty, remove, removeAll, retainAll, size, standardAddAll, standardClear, standardContainsAll, standardIsEmpty, standardRetainAll, standardToArray, standardToArray, standardToString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, remove, removeAll, retainAll, size`

Constructor Detail

### ForwardingNavigableSet.StandardDescendingSet

    public ForwardingNavigableSet.StandardDescendingSet()

  Constructor for use by subclasses.

Method Detail

### delegate

    protected NavigableSet<E> delegate()

  Description copied from class: `ForwardingObject`
  Returns the backing delegate instance that methods are forwarded to. Abstract subclasses generally override this method with an abstract method that has a more specific return type, such as `ForwardingSet.delegate()`. Concrete subclasses override this method to supply the instance being decorated.

  Specified by:
    `delegate` in class `ForwardingNavigableSet<E>`

### lower

    public E lower(E e)

  Specified by:
    `lower` in interface `NavigableSet<E>`
  Overrides:
    `lower` in class `ForwardingNavigableSet<E>`

### floor

    public E floor(E e)

  Specified by:
    `floor` in interface `NavigableSet<E>`
  Overrides:
    `floor` in class `ForwardingNavigableSet<E>`

### ceiling

    public E ceiling(E e)

  Specified by:
    `ceiling` in interface `NavigableSet<E>`
  Overrides:
    `ceiling` in class `ForwardingNavigableSet<E>`

### higher

    public E higher(E e)

  Specified by:
    `higher` in interface `NavigableSet<E>`
  Overrides:
    `higher` in class `ForwardingNavigableSet<E>`

### pollFirst

    public E pollFirst()

  Specified by:
    `pollFirst` in interface `NavigableSet<E>`
  Overrides:
    `pollFirst` in class `ForwardingNavigableSet<E>`

### pollLast

    public E pollLast()

  Specified by:
    `pollLast` in interface `NavigableSet<E>`
  Overrides:
    `pollLast` in class `ForwardingNavigableSet<E>`

### descendingSet

    public NavigableSet<E> descendingSet()

  Specified by:
    `descendingSet` in interface `NavigableSet<E>`
  Overrides:
    `descendingSet` in class `ForwardingNavigableSet<E>`

### descendingIterator

    public Iterator<E> descendingIterator()

  Specified by:
    `descendingIterator` in interface `NavigableSet<E>`
  Overrides:
    `descendingIterator` in class `ForwardingNavigableSet<E>`

### subSet

    public NavigableSet<E> subSet(E fromElement,
                                  boolean fromInclusive,
                                  E toElement,
                                  boolean toInclusive)

  Specified by:
    `subSet` in interface `NavigableSet<E>`
  Overrides:
    `subSet` in class `ForwardingNavigableSet<E>`

### headSet

    public NavigableSet<E> headSet(E toElement,
                                   boolean inclusive)

  Specified by:
    `headSet` in interface `NavigableSet<E>`
  Overrides:
    `headSet` in class `ForwardingNavigableSet<E>`

### tailSet

    public NavigableSet<E> tailSet(E fromElement,
                                   boolean inclusive)

  Specified by:
    `tailSet` in interface `NavigableSet<E>`
  Overrides:
    `tailSet` in class `ForwardingNavigableSet<E>`

### comparator

    public Comparator<? super E> comparator()

  Specified by:
    `comparator` in interface `SortedSet<E>`
  Overrides:
    `comparator` in class `ForwardingSortedSet<E>`

### first

    public E first()

  Specified by:
    `first` in interface `SortedSet<E>`
  Overrides:
    `first` in class `ForwardingSortedSet<E>`

### headSet

    public SortedSet<E> headSet(E toElement)

  Specified by:
    `headSet` in interface `NavigableSet<E>`
  Specified by:
    `headSet` in interface `SortedSet<E>`
  Overrides:
    `headSet` in class `ForwardingSortedSet<E>`

### last

    public E last()

  Specified by:
    `last` in interface `SortedSet<E>`
  Overrides:
    `last` in class `ForwardingSortedSet<E>`

### subSet

    public SortedSet<E> subSet(E fromElement,
                               E toElement)

  Specified by:
    `subSet` in interface `NavigableSet<E>`
  Specified by:
    `subSet` in interface `SortedSet<E>`
  Overrides:
    `subSet` in class `ForwardingSortedSet<E>`

### tailSet

    public SortedSet<E> tailSet(E fromElement)

  Specified by:
    `tailSet` in interface `NavigableSet<E>`
  Specified by:
    `tailSet` in interface `SortedSet<E>`
  Overrides:
    `tailSet` in class `ForwardingSortedSet<E>`

### iterator

    public Iterator<E> iterator()

  Specified by:
    `iterator` in interface `Iterable<E>`
  Specified by:
    `iterator` in interface `Collection<E>`
  Specified by:
    `iterator` in interface `NavigableSet<E>`
  Specified by:
    `iterator` in interface `Set<E>`
  Overrides:
    `iterator` in class `ForwardingCollection<E>`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Collection<E>`
  Specified by:
    `toArray` in interface `Set<E>`
  Overrides:
    `toArray` in class `ForwardingCollection<E>`

### toArray

    public <T> T[] toArray(T[] array)

  Specified by:
    `toArray` in interface `Collection<E>`
  Specified by:
    `toArray` in interface `Set<E>`
  Overrides:
    `toArray` in class `ForwardingCollection<E>`

### toString

    public String toString()

  Description copied from class: `ForwardingObject`
  Returns the string representation generated by the delegate's `toString` method.

  Overrides:
    `toString` in class `ForwardingObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012. All Rights Reserved.